description

# Function class Null safety

The base class for all function types.

The run-time type of a function object is subtype of a function type, and as such, a subtype of Function.

## Constructors

Function()

## Properties

hashCode → int
  Returns a hash code value that is compatible with `operator==`.
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  Test whether another object is equal to this function. [...]
  override

## Static Methods

apply(Function function, List? positionalArguments, [Map<Symbol, dynamic>? namedArguments]) → dynamic
  Dynamically call `function` with the specified arguments. [...]